
public class Class437 {

   public Object anObject5438;
   public Object anObject5439;


   public boolean method7355(Object var1) {
      if(var1 != null && var1 instanceof Class437) {
         Class437 var2 = (Class437)var1;
         if(this.anObject5439 == null) {
            if(var2.anObject5439 != null) {
               return false;
            }
         } else if(!this.anObject5439.equals(var2.anObject5439)) {
            return false;
         }

         if(this.anObject5438 == null) {
            if(var2.anObject5438 != null) {
               return false;
            }
         } else if(!this.anObject5438.equals(var2.anObject5438)) {
            return false;
         }

         return true;
      } else {
         return false;
      }
   }

   public boolean method7356(Object var1) {
      if(var1 != null && var1 instanceof Class437) {
         Class437 var2 = (Class437)var1;
         if(this.anObject5439 == null) {
            if(var2.anObject5439 != null) {
               return false;
            }
         } else if(!this.anObject5439.equals(var2.anObject5439)) {
            return false;
         }

         if(this.anObject5438 == null) {
            if(var2.anObject5438 != null) {
               return false;
            }
         } else if(!this.anObject5438.equals(var2.anObject5438)) {
            return false;
         }

         return true;
      } else {
         return false;
      }
   }

   public boolean equals(Object var1) {
      if(var1 != null && var1 instanceof Class437) {
         Class437 var2 = (Class437)var1;
         if(this.anObject5439 == null) {
            if(var2.anObject5439 != null) {
               return false;
            }
         } else if(!this.anObject5439.equals(var2.anObject5439)) {
            return false;
         }

         if(this.anObject5438 == null) {
            if(var2.anObject5438 != null) {
               return false;
            }
         } else if(!this.anObject5438.equals(var2.anObject5438)) {
            return false;
         }

         return true;
      } else {
         return false;
      }
   }

   public int hashCode() {
      int var1 = 0;
      if(this.anObject5439 != null) {
         var1 += this.anObject5439.hashCode();
      }

      if(this.anObject5438 != null) {
         var1 += 31 * this.anObject5438.hashCode();
      }

      return var1;
   }

   public String method7357() {
      return this.anObject5439 + ", " + this.anObject5438;
   }

   public String method7358() {
      return this.anObject5439 + ", " + this.anObject5438;
   }

   public int method7359() {
      int var1 = 0;
      if(this.anObject5439 != null) {
         var1 += this.anObject5439.hashCode();
      }

      if(this.anObject5438 != null) {
         var1 += 31 * this.anObject5438.hashCode();
      }

      return var1;
   }

   public int method7360() {
      int var1 = 0;
      if(this.anObject5439 != null) {
         var1 += this.anObject5439.hashCode();
      }

      if(this.anObject5438 != null) {
         var1 += 31 * this.anObject5438.hashCode();
      }

      return var1;
   }

   public int method7361() {
      int var1 = 0;
      if(this.anObject5439 != null) {
         var1 += this.anObject5439.hashCode();
      }

      if(this.anObject5438 != null) {
         var1 += 31 * this.anObject5438.hashCode();
      }

      return var1;
   }

   public String toString() {
      return this.anObject5439 + ", " + this.anObject5438;
   }

   public boolean method7362(Object var1) {
      if(var1 != null && var1 instanceof Class437) {
         Class437 var2 = (Class437)var1;
         if(this.anObject5439 == null) {
            if(var2.anObject5439 != null) {
               return false;
            }
         } else if(!this.anObject5439.equals(var2.anObject5439)) {
            return false;
         }

         if(this.anObject5438 == null) {
            if(var2.anObject5438 != null) {
               return false;
            }
         } else if(!this.anObject5438.equals(var2.anObject5438)) {
            return false;
         }

         return true;
      } else {
         return false;
      }
   }

   public Class437(Object var1, Object var2) {
      this.anObject5439 = var1;
      this.anObject5438 = var2;
   }
}
